@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;300;400;800&display=swap");

*,
*::after,
*::before {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: "Poppins" , sans-serif;
    overflow-x: hidden;
    background-color: #162237;
 }

.section {
    margin-block-start: 100px;
    width: max-content
}

 ::selection {
    color: #0b372dbb;
 }

.logo {
    width: 100px;
}

header {
    position: absolute;
    z-index: 999;
    padding: 0.9rem 0;
    top: 0;
    left: 0;
    width: 100%;
    border-bottom: 1px solid rgba(255,255,255,0.1);
}

header nav {
    max-width: 1400px;
    margin: 0 auto;
    padding: 0 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header ul {
    display: flex;
    list-style: none;
    align-items: center;
}

header ul a {
    text-decoration: none;
    color: #ffff;
    padding: 0 1.5rem;
    text-transform: uppercase;
    font-weight: 300;
    font-size: 0.83rem;
}

.search a {
    font-size: 1.05rem;
    padding: 0 3rem;
}

.hamburger {
    padding-left: 1.5rem;
    opacity: 0;
}

.hamburger a {
    padding: 0;
    width: 37px;
    height: 37px;
    display: flex;
    border-radius: 50%;
    background-color: rgba(115, 115, 115, 0.7);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    justify-content: center;
    align-items: center;
}

.hamburger .bar {
    position: relative;
    width: 52%;
    height: 1.3px;
    background-color: #ffff;
    padding: 0.5px;
}

.hamburger .bar::after,
.hamburger .bar::before {
    content: "";
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    width: 60%;
    height: 100%;
    background-color: inherit;
    border-radius: 2px;
}

.hamburger .bar::before {
    top: -4.5px;
}

.hamburger .bar::after {
    top: 4.5px;
}

main {
    position: relative;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}

.bg-img {
    position: absolute;
    width: 2800px;
    top: calc(50% - 390px);
    left: calc(50% + 10px);
    transform: translate(-50%, -50%);
}

.fog-1 {
    position: absolute;
    z-index: 2;
    top: calc(50% - 100px);
    left: calc(50% + 300px);
    width: 1900px;
    transform: translate(-50%, -50%);
}

.mountain-10 {
    position: absolute;
    z-index: 3;
    top: calc(50% + 69px);
    width: 870px;
    left: calc(50% + 230px);
    transform: translate(-50%, -50%);
}

.fog-2 {
    position: absolute;
    z-index: 4;
    top: calc(50% + 95px);
    left: calc(50% + 7px);
    width: 1833px;
    transform: translate(-50%, -50%);
}

.mountain-9 {
    position: absolute;
    z-index: 5;
    top: calc(50% + 119px);
    width: 463px;
    left: calc(50% - 457px);
    transform: translate(-50%, -50%);
}

.mountain-8  {
    position: absolute;
    z-index: 6;
    top: calc(50% + 96px);
    width: 786px;
    left: calc(50% - 202px);
    transform: translate(-50%, -50%);
}

.fog-3  {
    position: absolute;
    z-index: 7;
    top: calc(50% + 171px);
    left: calc(50% + 29px);
    width: 449px;
    transform: translate(-50%, -50%);
}

.mountain-7 {
    position: absolute;
    z-index: 8;
    width: 515px;
    top: calc(50% + 134px);
    left: calc(50% + 305px);
    transform: translate(-50%, -50%);
}

.mountain-6 {
    position: absolute;
    z-index: 10;
    top: calc(50% + 86.5px);
    width: 383.5px;
    left: calc(50% + 590px);
    transform: translate(-50%, -50%);
}

.fog-4 {
    position: absolute;
    z-index: 11;
    top: calc(50% + 242px);
    left: calc(50% - 64px);
    width: 543px;
    transform: translate(-50%, -50%);
}

.mountain-5 {
    position: absolute;
    z-index: 12;
    top: calc(50% + 269px);
    width: 583px;
    left: calc(50% + 130px);
    transform: translate(-50%, -50%);
}

.fog-5 {
    position: absolute;
    z-index: 13;
    top: calc(50% + 149px);
    left: calc(50% - 28px);
    width: 1435px;
    transform: translate(-50%, -50%);
    opacity: 0.1;
}

.mountain-4 {
    position: absolute;
    z-index: 14;
    top: calc(50% + 221px);
    width: 717px;
    left: calc(50% - 381.5px);
    transform: translate(-50%, -50%);
}

.mountain-3 {
    position: absolute;
    z-index: 15;
    top: calc(50% + 133px);
    left: calc(50% + 736px);
    width: 419px;
    transform: translate(-50%, -50%);
}

.fog-6 {
    position: absolute;
    z-index: 16;
    top: calc(50% + 177px);
    left: calc(57% - 30px);
    width: 1818px;
    transform: translate(-50%, -50%);
    opacity: 0.2;
}

.mountain-2 {
    position: absolute;
    z-index: 17;
    top: calc(50% + 188px);
    left: calc(50% + 412px);
    width: 625px;
    transform: translate(-50%, -50%);
}

.mountain-1 {
    position: absolute;
    z-index: 18;
    top: calc(50% + 91.5px);
    left: calc(46% - 651px);
    width: 450px;
    transform: translate(-50%, -50%);
}

.text {
    position: absolute;
    z-index: 9;
    top: calc(54% - 130px);
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    text-transform: uppercase;
    color: #ffff;
    pointer-events: auto;
}

.text h2 {
    font-weight: 100;
    font-size: 6.5rem;
    line-height: 0.88;
    margin-bottom: 8px;
}

.text h1 {
    font-weight: 800;
    font-size: 8rem;
    line-height: 0.88;
    animation: h1z 1.7s ease-in-out;
    
}

@keyframes h1z {
    0% {
        margin-top: 100rem;
    }
    100% {
        margin-top: 0rem;
    }
}
.sun-rays {
    position: absolute;
    z-index: 19;
    top: 0;
    right: 0;
    width: 595px;
    pointer-events: none;
}

.black-shadow {
    position: absolute;
    z-index: 20;
    bottom: 0;
    right: 0;
    width: 1005;
    pointer-events: none;
}

.fog-1 {
    position: absolute;
    z-index: 21;
    width: 1800px;
    top: calc(100% - 355px);
    left: 50%;
    transform: translate(-50%, -50%);
}

.vignette {
    position: absolute;
    z-index: 100;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: radial-gradient(ellipse at center, rgba(0,0,0,0) 65%, rgba(0,0,0,0.7));
}

.parallax {
    pointer-events: none;
    transition: 1s cubic-bezier (0.2,0.49,32,0.99);
}

@media (max-width: 1100px) {
    .text h1 {
        font-size: 5.8rem;
    }

    .text h2 {
        font-size: 4.7rem;
    }
}

@media (max-width: 725px) {
    .text h1 {
        font-size: 5rem;
        line-height: 1.1;
    }

    .text h2 {
        font-size: 4.1rem;
        line-height: 1.1rem;
    }

    header nav {
        padding: 0 1rem;
    }

    .logo {
        width: 75px;
    }

    header ul a {
        font-size: 0.73rem;
        padding: 0 0.9rem;
    }

    .search a {
        font-size: 0.85rem;
        padding: 0 1.8rem;
    }

    .hamburger {
        padding-left: 0.9rem;
    }

    .hamburger a {
        height: 30px;
        width: 30px;
    }
}

@media (max-width: 520px) {
    .text h1 {
        font-size: 2.5rem;
    }

    .text h2 {
        font-size: 2.2rem;
    }

    .mountain-2 {
        position: absolute;
        z-index: 17;
        top: calc(50% + 188px);
        left: calc(10% + 52px);
        width: 625px;
        transform: translate(-50%, -50%);
    }

    .hamburger {
        opacity: 1;
    }
}